Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class ControllerArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.ControllerArtefactHandler

All Implemented Interfaces:
  ArtefactHandler

    public class ControllerArtefactHandler

extends ArtefactHandlerAdapter

Author:
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static String` | `TYPE`

Fields inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`log`

Constructor Summary
`ControllerArtefactHandler()`

Method Summary
`GrailsClass` | `getArtefactForFeature(Object feature)` Called to retrieve an artefact relating to some other key for example a URI or tag name Handlers are responsible for caching the appropriate information using the data passed to them in calls to initialize()
`void` | `initialize(ArtefactInfo artefacts)` Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

Methods inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`getType, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### ControllerArtefactHandler

    public ControllerArtefactHandler()

Method Detail

### initialize

    public void initialize(ArtefactInfo artefacts)

  Description copied from class: `ArtefactHandlerAdapter`
  Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

  Specified by:
    `initialize` in interface `ArtefactHandler`
  Overrides:
    `initialize` in class `ArtefactHandlerAdapter`
  Parameters:
    `artefacts` - The collection of artefact classes for this handler

### getArtefactForFeature

    public GrailsClass getArtefactForFeature(Object feature)

  Description copied from interface: `ArtefactHandler`

  Called to retrieve an artefact relating to some other key for example a URI or tag name

  Handlers are responsible for caching the appropriate information using the data passed to them in calls to initialize()

  Specified by:
    `getArtefactForFeature` in interface `ArtefactHandler`
  Overrides:
    `getArtefactForFeature` in class `ArtefactHandlerAdapter`
  Parameters:
    `feature` - Any object that acts as a key
  Returns:
    A matching artefact GrailsClass or null if there is no match for this feature ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project